FetchAllTaskSelectorsBuildAction (Grails 6.0.0)

Package: org.grails.cli.gradle

## [Java] Class FetchAllTaskSelectorsBuildAction

- org.grails.cli.gradle.FetchAllTaskSelectorsBuildAction

- All Implemented Interfaces and Traits:
    org.gradle.tooling.BuildAction

      public class FetchAllTaskSelectorsBuildAction

  A org.gradle.tooling.BuildAction that calculates all the tasks from the Gradle build

  Authors:
    Lari Hotari
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `FetchAllTaskSelectorsBuildAction.AllTasksModel` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `currentProjectPath` |
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FetchAllTaskSelectorsBuildAction (java.io.File currentProjectDir)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FetchAllTaskSelectorsBuildAction.AllTasksModel` | `execute(org.gradle.tooling.BuildController controller)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String currentProjectPath

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public FetchAllTaskSelectorsBuildAction(java.io.File currentProjectDir)

  - ### Method Detail

    - #### public FetchAllTaskSelectorsBuildAction.AllTasksModel execute(org.gradle.tooling.BuildController controller)